package com.supServer.project.entity;


import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 审核状态
 * </p>
 *
 * @author
 * @since 2022-10-28
 */
public class BizVerify implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 初审状态（1-待提交、2-提交审核、3-准入、4-未通过）
     */
    private Integer status;

    /**
     * 人工复审状态（0-审批中、1-通过、2-驳回）
     */
    private Integer reviewStatus;

    /**
     * 人工审核意见
     */
    private String opinion;

    /**
     * 审核人id
     */
    private String userId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getOpinion() {
        return opinion;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "BizVerify{" +
        "id=" + id +
        ", creditCode=" + creditCode +
        ", status=" + status +
        ", reviewStatus=" + reviewStatus +
        ", opinion=" + opinion +
        ", userId=" + userId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
